PCI_ENABLE_ROM(9)

NAME
pci_enable_rom - enable ROM decoding for a PCI device

SYNOPSIS

int pci_enable_rom(struct pci_dev * pdev);

ARGUMENTS

pdev
    PCI device to enable

DESCRIPTION

Enable ROM decoding on dev. This involves simply turning on the last bit of the PCI ROM BAR. Note that some cards may share address decoders between the ROM and other resources, so enabling it may disable access to MMIO registers or other card memory.

COPYRIGHT